commit:     dc14f98578b7c8d30b767f3ed35ac0805009c189
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Tue May 21 17:32:41 2024 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Tue May 21 17:36:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc14f985

app-misc/liquidctl: add 1.13.0

This does not fix the known bug in the tests, but upstream indicated
it's not a problem, and this isn't a regression.
Bug: https://bugs.gentoo.org/928971
Bug: https://github.com/liquidctl/liquidctl/issues/661
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 app-misc/liquidctl/Manifest                |  1 +
 app-misc/liquidctl/liquidctl-1.13.0.ebuild | 53 ++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-misc/liquidctl/Manifest b/app-misc/liquidctl/Manifest
index 6f7dedb2be43..ebf4e35af3aa 100644
--- a/app-misc/liquidctl/Manifest
+++ b/app-misc/liquidctl/Manifest
@@ -1,2 +1,3 @@
 DIST liquidctl-1.11.1.tar.gz 1836371 BLAKE2B 
e302251855b48405d811287061df3593f0549f02d8d369ae0c0178c27722b69e3c589763de5a963e2b2a37d88f3213e649da9e6f74db59a36f9b803d33d2b038
 SHA512 
06c11eb0bb258ec4111e885d5ed2bf89842fc0a9bfbc57aee6c86d405808d9bd9582fa137beac7250949448454412d03ade0bc3ee16cd3bd8de3fff66a0cc1bf
 DIST liquidctl-1.12.1.tar.gz 1842721 BLAKE2B 
b3732d4192fef2a2dfcb8edd42a3fb0d5c2f9b32c43a8950561e302a122fe4c993338035d3b779929e625257f4f59576550bfbf8a334c1b1fbba868ed0abc562
 SHA512 
37e81f29516d051603fb50f9fd5e6b6646a02d2aea1dc1d4247b2286a9649f79b85c4d856ab5f1df04ae2f3eecc2ebc4f865e08b28be85c2915be9723854cf7a
+DIST liquidctl-1.13.0.tar.gz 1844095 BLAKE2B 
066fe154fc8ea55a1163bcf5403cf4602c10bcd4b24c3a808dc11d9324bb41395b685856e546d8ea10f3e464e5cf20e45b8f98a46cc388052130f4e9e3537bf4
 SHA512 
12a7fe58e35367684efa4f6db68bcd09aa2f485bfc52b50136013c9275a1295bc9bc1e0d3c940097b0b3154c1d24a1792e6a894395a6826a27f9e6ea6a8e3893

diff --git a/app-misc/liquidctl/liquidctl-1.13.0.ebuild 
b/app-misc/liquidctl/liquidctl-1.13.0.ebuild
new file mode 100644
index 000000000000..a2eb2e0132a7
--- /dev/null
+++ b/app-misc/liquidctl/liquidctl-1.13.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 udev
+
+DESCRIPTION="Cross-platform tool and drivers for liquid coolers and other 
devices"
+HOMEPAGE="https://github.com/liquidctl/liquidctl";
+SRC_URI="https://github.com/liquidctl/liquidctl/releases/download/v${PV}/${P}.tar.gz";
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/colorlog[${PYTHON_USEDEP}]
+       dev-python/crcmod[${PYTHON_USEDEP}]
+       dev-python/docopt[${PYTHON_USEDEP}]
+       dev-python/hidapi[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       dev-python/pyusb[${PYTHON_USEDEP}]
+       sys-apps/i2c-tools[${PYTHON_USEDEP},python]
+"
+
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       # Without this variable, it attempts to write to /var/run and fails
+       XDG_RUNTIME_DIR="${T}/xdg" distutils-r1_src_test || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       dodoc docs/*.md
+       dodoc -r docs/linux/
+
+       udev_dorules extra/linux/71-liquidctl.rules
+}
+
+pkg_postinst() {
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to